Skip to main content
POST
Update an application's settings

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

app_id
string<UUID>
required

ID of the app to update.

Body

application/json
payout_options_exclude_list
string[]

List of payout options to exclude

auto_refill_active
boolean

Enable or disable auto refill

refill_amount
integer

Amount to refill when the threshold is reached

Required range: 1000 <= x <= 1000000
refill_threshold
integer

Threshold for triggering a refill

Required range: 1000 <= x <= 1000000

Response

200 - application/json

Successfully updated settings

payout_options_exclude_list
string[]
auto_refill_active
boolean
refill_amount
integer
refill_threshold
integer